Skip to content
payrocdevelopers

List funding balances

Browse API reference

GET/funding-balancegetFundingBalance

Use this method to return a paginated list of funding balances available for each merchant linked to your account.

Use query parameters to filter the list of results we return, for example, to search for the funding balance for a specific merchant.

Our gateway returns the following information about each merchant in the list:

  • Total funds for the merchant.
  • Available funds that you can use for funding instructions.
  • Pending funds that we have not yet sent to funding accounts.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

merchantIdquerystring

Filter results by the unique identifier that the processor assigned to the merchant.

Responses

Successful request. Returns the funding balance available for each merchant.

200 OK · application/json
{
  "count": 2,
  "data": [
    {
      "available": 69950,
      "currency": "USD",
      "funds": 120000,
      "merchantId": "4525644354",
      "pending": 50050
    },
    {
      "available": 50000,
      "currency": "USD",
      "funds": 50000,
      "merchantId": "9876543219",
      "pending": 0
    }
  ],
  "hasMore": true,
  "limit": 2,
  "links": [
    {
      "href": "https://api.payroc.com/v1/funding-balance?before=4525644354&limit=2",
      "method": "get",
      "rel": "previous"
    },
    {
      "href": "https://api.payroc.com/v1/funding-balance?after=9876543219&limit=2",
      "method": "get",
      "rel": "next"
    }
  ]
}
Response schema · 13 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of merchantBalance objects.
    • availableinteger
      Amount of the funding balance that you can use in funding instructions. The value is in the currency's lowest denomination, for example, cents.
    • currencystring
      Currency of the funding balance. We return a value of USD.
    • fundsinteger
      Total funding balance for the merchant, including pending amounts. The value is in the currency's lowest denomination, for example, cents.
    • merchantIdstring
      Unique identifier that the processor assigned to the merchant.
    • pendinginteger
      Amount of the funding balance that we have not yet sent to funding accounts. The value is in the currency's lowest denomination, for example, cents.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer